#
# spec file for package python3-eric6
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define eric    eric6
Name:           python3-%{eric}
Version:        17.11.1
Release:        1.1
Summary:        Python IDE based on Qt4/Qt5
License:        GPL-3.0+
Group:          Development/Tools/IDE
Url:            http://eric-ide.python-projects.org/
Source0:        %{eric}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-qscintilla
BuildRequires:  python3-qt4
BuildRequires:  python3-sip
BuildRequires:  python3-xml
BuildRequires:  update-desktop-files
Requires:       python3-qscintilla
Requires:       python3-qt4
Requires:       python3-sip
Requires:       python3-xml
Recommends:     python3-pysvn >= 1.7.0
Recommends:     python3-cx_Freeze
Recommends:     python3-doc
Recommends:     python3-enchant >= 1.5.3
Recommends:     python3-pylint >= 0.18.0
Recommends:     python3-rope >= 0.9.2
BuildRoot:      %{_tmppath}/%{eric}-%{version}-build
BuildArch:      noarch

%description
Eric is a full featured Python and Ruby editor and IDE, written in python. It
is based on the cross platform Qt gui toolkit, integrating the highly flexible
Scintilla editor control. It is designed to be usable as everdays' quick and
dirty editor as well as being usable as a professional project management tool
integrating many advanced features Python offers the professional coder.

%package api
Summary:        API files for eric6
Group:          Development/Tools/IDE
Conflicts:      python-eric6-api

%description api
This package provides API files for eric6.
If both python-eric6 and python3-eric6 packages are installed then only one
python-eric6-api or python3-eric6-api is needed.

%prep
%setup -q -n %{eric}-%{version}

# Fix non-executable scripts:
sed -i "s|#!/usr/bin/env python3||" eric/{eric6_sqlbrowser,eric6_uipreviewer,Examples/rhallo,eric6_plugininstall,eric6_tray,eric6_pluginrepository,eric6_unittest,eric6_api,eric6,compileUiFiles,eric6_editor,eric6_trpreviewer,eric6_diff,install-i18n,uninstall,eric6_re,install,eric6_webbrowser,eric6_configure,eric6_iconeditor,Examples/hallo,eric6_qregexp,eric6_pluginuninstall,Utilities/crypto/py3AES,eric6_compare,eric6_doc,cleanupSource,eric6_snap,eric6_qregularexpression,Plugins/CheckerPlugins/CodeStyleChecker/pycodestyle}.py

%build
# nothing here

%install
python3 install.py -b /usr/bin -d %python3_sitelib -i %{buildroot} -x -y --pyqt=4
%fdupes %{buildroot}/%{python3_sitelib}/%{eric}
# fix rpmlint warning
chmod +x %{buildroot}/%{python3_sitelib}/%{eric}/Utilities/crypto/py3AES.py

%files
%defattr(-,root,root)
%doc LICENSE.GPL3 README.rst THANKS
%{_bindir}/*
%{_datadir}/metainfo
%{_datadir}/metainfo/%{eric}_py3.appdata.xml
%{_datadir}/applications/%{eric}_py3.desktop
%{_datadir}/applications/%{eric}_browser_py3.desktop
%{_datadir}/applications/%{eric}_webbrowser_py3.desktop
%{_datadir}/pixmaps/eric_py3.png
%{_datadir}/pixmaps/ericWeb_py3.png
%{python3_sitelib}/*

%files api
%defattr(-,root,root)
%dir /usr/share/qt4/qsci/api/python
/usr/share/qt4/qsci/api/python/*
%dir /usr/share/qt4/qsci/api/ruby
/usr/share/qt4/qsci/api/ruby/*
%dir /usr/share/qt4/qsci/api/qss
/usr/share/qt4/qsci/api/qss/*

%changelog
* Sun Nov 19 2017 termim@gmail.com
- Update to 17.11.1
  - Bug fixes
* Fri Nov  3 2017 termim@gmail.com
- Update to 17.11
  - Debugger:
  - added capability to enter an interpreter in the Start... dialog
  - Editor
  - added support for auto-completion lists being provided asynchronously
  - added a viewer for source code documentation extracted by providers
    to be implemented by plug-ins (like rope and jedi)
  - Web Browser (old style)
  - changed logic in order to put new downloads at the top of the list of
    downloads and added the download date and time to the shown info
  - Web Browser (NG)
  - changed logic in order to put new downloads at the top of the list of
    downloads and added the download date and time to the shown info
* Mon Oct  9 2017 termim@gmail.com
- Update to 17.10
  - bug fixes
  - Web Browser (NG)
  - added a downloader and installer/uninstaller dialog for spell check
    dictionaries
* Fri Sep  1 2017 termim@gmail.com
- Update to 17.09
  - bug fixes
  - Debugger
  - -  unified the Python2 and Python3 debugger interfaces
  - Exporter
  - - extended the HTML exporter to convert Markdown and ReST files to
    HTML
  - Plugin Manager
  - - added a bar with counts for new/local updates/remote updates to the
    plug-in repository dialog
  - Previewers
  - - added capability to configure the output format for the markdown
    and docutils (ReST) previewers
  - Web Browser (NG)
  - - added support for Google Safe Browsing
  - Third Party packages
  - - updated jasy to 1.5-beta5 (latest release available)
- remove i18 tarballs - they are already in the main archive.
* Fri Aug  4 2017 termim@gmail.com
- Update to 17.08
  - bug fixes
  - Shell
  - - added support for different history navigation styles (disabled,
    Linux, Windows)
  - - improved shell history dialog
  - Templates
  - added some new predefined template variables (time, path_name_rel,
    dir_name_rel)
  - Web Browser (NG)
  - - added support for sessions
* Sun Jul  2 2017 termim@gmail.com
- Update to 17.07
  - Background Services
  - - added functionality to limit the number of processes used for
    background services
  - Bug Reporting / Feature Request (Email)
  - - added the capability to send these emails via Google Mail using
    OAuth2 authentication
  - Diff Dialogs
  - -  made the colors of the diff dialogs configurable
  - Third Party packages
  - - updated chardet to 3.0.4
* Sat Jun  3 2017 termim@gmail.com
- Update to 17.06
  - bug fixes
  - Checkers
  - - extended the source documentation checker to check for raised/documented
    exceptions and defined/documented signals
  - Editor
  - - reintroduced the highlighting of current instruction line and the error
    line using colored background. It is configurable whether to use these
    backgrounds or the arrows.
  - - added capability to perform the various replace methods via keyboard
    shortcuts
  - Plugin Manager
  - - added an option to cleanup the plug-ins download area during startup
  - Qt Tools
  - - added code to auto-discover the presence of the new 'pyqt5-tools' wheel
    (Windows only) (thanks to Kyle Altendorf for providing this wheel)
  - Web Browser (NG)
  - - united the stop and reload buttons of the navigation bar
  - - added a super menu to modernize the look & feel
  - - added Ctrl-Click and middle click actions to the navigation buttons
    to perform the action in a new tab
* Tue May 16 2017 hpj@urpla.net
- add python3-sip as dependency
* Sat May  6 2017 termim@gmail.com
- Update to 17.05
  - bug fixes
  - Editor
  - - changed the indication of the current instruction line and the error line
    to use a green or red arrow instead of a colored background
  - PyQt Tools
  - - added a configuration option for the path of the PyQt tools
  - Shell
  - - added a standalone shell window
  - Web Browser (NG)
  - - added the last visited time and date to the bookmark properties dialog
  - - added a visit count to the history entries (shown in the history dialog)
  - - made full screen mode really full screen
  - Third Party packages
  - - updated Pygments to 2.2.0
  - - updated chardet to 3.0.2
* Mon Apr 10 2017 hpj@urpla.net
- Version 17.04.1:
  -  bug fixes
* Sat Apr  8 2017 hpj@urpla.net
- Version 17.04:
  - bug fixes
  - General
  - - increased minimum required Python versions to prevent usage
    with very old versions (i.e. eric was never tested with)
    min. versions: Python 2 - 2.7.10; Python 3 - 3.4.0
  - Checkers
  - - added checks for shadowed Python builtins and unneccessary comprehensions
    and generators to the code style checker
  - - added a checker to check for lines of code of too high complexity
  - - added capability to place line flags (e.g. __IGNORE...) on the line
    following the one to be ignored
  - Debugger
  - - shell autocompleter takes the right global variables into account now
  - - move the instruction pointer within the current function (Hotkey: F12)
  - - report syntax and indentation errors raised by an application or module
    in the correct manner
  - - avoid crashes on using greenlets
  - Mercurial Interface
  - - extended the user configuration dialog
  - - added support for the 'zstd' compression for bundles (as of 4.1.0)
- add fetch script fetch-eric.sh
* Sat Mar 11 2017 termim@gmail.com
- Update to 17.03.1
  - bug fixes
* Fri Mar  3 2017 termim@gmail.com
- Update to 17.03
  - Checkers
  - - upgraded pycodestyle to version 2.3.1
  - - upgraded pyflakes to version 1.5.0
  - Debugger
  - - prevent stepping into print statements if checkbox for debugging into
    interpreter libraries is checked
  - - catch unhandled exceptions again
  - - support for PySide2 added
  - - atexit handling works as specified in any condition
  - - prevent ordinary breakpoints to steal the focus from an exception
  - Mercurial Interface
  - - improved the log browser in several ways
  - - improved the status dialog
  - Project
  - - added capability to remember previously used entries in the project
    debugger properties dialog
  - Web Browser (NG)
  - - added support for new options provided by Qt 5.8.0
  - - added support for spell checking as of Qt 5.8.0
* Sun Feb  5 2017 termim@gmail.com
- Update to 17.02.1
  - fixes a regression related to using eric with Qt 4.8.
* Sat Feb  4 2017 termim@gmail.com
- Update to 17.02
  - Checkers
  - - upgraded pycodestyle to version 2.2.0+
  - Debugger
  - - changed the variables filter dialog to be more user friendly
  - Editor
  - - added a bar with formatting options for HTML, Markdown and reStructured
    Text files
  - - added support for the new QScintilla JSON lexer
  - - added support for the new QScintilla Markdown lexer
  - Email
  - - added capability to use the SSL encryption method (next to StartTLS) in
    the built in Email dialog
  - Mercurial Interface
  - - added clickable links to the log browser details pane
  - - added up and down buttons to move the current entry to the log browser
  - - added the capability to configure the length of the log message shown
    in the message column of the log browser list
  - Subversion interface
  - - added up and down buttons to move the current entry to the log browser
  - Web Browser
  - - added functionality to manage the plug-in provided documentation sets
* Tue Jan  3 2017 termim@gmail.com
- Update to 17.01
  - bug fixes
  - General
  - - added capability to save a global session to disk and restore it
  - - added capability to save a crash session in order to restore the
    current state in case of a cras
  - - added option to configure the crash session startup behavior and
    added the '--no-crash' option to suppress looking for a crash session
  - - added the '--disable-crash' option to temporarily disable the crash
    session support through the command line
  - - changed some options: --noopen to --no-open, --nosplash to --no-splash
  - Debugger
  - - added capability to edit the history lists of the start dialogs of
    the debugger
  - Editor
  - - added support for project type specific auto-completion and
    calltips including the respective configuration (Editor->APIs page)
* Sat Dec  3 2016 termim@gmail.com
- Update to 16.12
  - Mercurial Interface
  - - added context menu actions to the tags/branches list dialog
  - - added bookmark actions to the Log Browser tools menu
  - - added context menu actions to the bookmark list dialog
  - - added possibility to enter a commit author and commit date/time
  - - added capability to enforce a tagging operation
  - Third Party packages
  - - updated chardet to 2.3.0
* Sun Nov 13 2016 termim@gmail.com
- Update to 16.11
  - bug fixes
  - General
  - - added a status bar icon to show the online status to the main window
  - - added an action to clear the private data of the IDE
  - Checkers
  - - added capaibility to ignore warnings by code (use
    __IGNORE_WARNING_<code>__, e.g. __IGNORE_WARNING_M613__)
  - Debugger
  - - added a debugger interface registry to allow debuggers being
    implemented as plug-ins
  - - Python Debuggers:
  - -- changed the protocol to a JSONRPC style protocol to be more robust
  - -- massive speed gain of the debug client (Tobias Rzepka)
  - -- unified the debugger clients for Python 2 and 3 (Tobias Rzepka)
  - -- unified the standard and threaded debugger clients (Tobias Rzepka)
  - -- added debug support for QThread threads (Tobias Rzepka)
  - - Ruby Debugger:
  - -- removed the Ruby debugger (the interface doesn't work with recent
    Ruby versions anymore)
  - - Call Trace Viewer
  - -- added capability to stop recording upon exit of the client script
  - - Variables Viewer
  - -- added capability to refresh the view via the context menu
  - Hex Editor
  - - added a nice little hex editor tool (usable as a standalone tool
    as well)
  - Icon Editor
  - - added capability to close all other icon editor windows
  - Project
  - - added a dialog to quickly search for files in the list of project files
    (thanks to Mike C. Fletcher for contributing the majority of this)
  - - added an option to rescan the project for tasks upon open
  - Project Browser
  - - added capability to search the file tree via the keyboard (directories and
    files only)
  - Tools
  - - Tray Starter
  - -- added an entry to show the version information
  - Version Control System Interfaces
  - - Mercurial
  - -- added support for pulling and pushing the current bookmark
  - -- added support for the strip extension
  - -- added support for the histedit extension
  - -- added support for the strip and fetch extensions to the log browser
  - -- added an action to the administration menu to clean out the backup
    bundles
  - Web Browser
  - - added capability to remember the zoom values for each site (incl. a
    dialog to manage these)
  - - added a status bar icon to show the online status
  - Web Browser (NG)
  - - ported the web browser to QtWebEngine as of Qt 5.6.0 because starting
    with this version QtWebKit is no longer (officially) supported
  - Third Party packages
  - - updated Pygments to 2.1.3
  - - updated pep8 to 2.1.0dev0 and renamed it to pycodestyle
  - - updated coverage.py to 4.1.0
  - - updated pyflakes to 1.2.3+
* Sun Nov  6 2016 termim@gmail.com
- Update to 6.1.11
  * bug fixes
* Sun Oct  9 2016 termim@gmail.com
- Update to 6.1.10
  * bug fixes
* Sun Sep  4 2016 termim@gmail.com
- Update to 6.1.9
  * bug fixes
* Sun Jul 31 2016 termim@gmail.com
- Update to 6.1.8
  * bug fixes
  * improves compatibility with PyQt5 5.7.0 and above
* Mon Jul  4 2016 termim@gmail.com
- Update to 6.1.7
  * bug fixes
* Sun Jun  5 2016 termim@gmail.com
- Update to 6.1.6
  * bug fixes
* Mon May  9 2016 termim@gmail.com
- Update to 6.1.5
  * bug fixes
  * improved Py2/3 compatibility thanks to Parsifal Herzog
* Wed Apr 13 2016 termim@gmail.com
- Update to 6.1.4
  * bug fixes
* Wed Mar  9 2016 termim@gmail.com
- Update to 6.1.3
  * bug fixes
* Mon Feb  8 2016 termim@gmail.com
- Update to 6.1.2
  * bug fixes
* Thu Jan  7 2016 termim@gmail.com
- Update to 6.1.1
  * bug fixes
* Sat Dec  5 2015 termim@gmail.com
- Update to 6.1.0
- General
  * added a configuration page to edit the list of mime types to
    be opened in an eric editor
  * added the '--settings=' command line switch to store the
    settings files in a non-standard directory
- Checkers
  * added a batch mode to the code style checker to make use of
    multiple CPUs/CPU-Cores
  * added a batch mode to the syntax checker to make use of
    multiple CPUs/CPU-Cores
  * added a batch mode to the indentation checker to make use of
    multiple CPUs/CPU-Cores
  * added a code complexity checker iaw. McCabe to the code style
    checker
  * added miscellaneous checks to the code style checker (coding
    comment, copyright, blind except, print statements, one element
    tuples, __future__ imports, old style string formats, string
    format strings)
- Debugger
  * added signal handlers for the Python debug clients
- Editor
  * added capability to configure the indentation guides colors
  * added capability to ask multiple completion list and call-tip
    providers
  * added support for mouse click handlers to be provided by plug-ins
  * added the search markers to the marker map
  * added capability to save a copy of the editor contents
  * Lexers
  - added support for the new C++ lexer properties (as of
    QScintilla V. 2.9.0)
- File Browser
  * added capability to show imports of a Python script
- Log Viewer
  * added a message filter including a configuration page
- Mini Editor
  * added capability to save a copy of the editor contents
- Preferences Dialog
  * changed the 'filter' function to a 'search' function disabling
    all entries, that don't contain the entered string
  * changed the handling of the configuration page list entries
    to be collapsed on first show and remember the expanded ones
    while eric is running (but not between invocations)
- Previewers
  * added capability to use 'Sphinx' to preview ReST files
- Project
  * added functionality to reorganize the files automatically,
    when the project type or file type associations are changed
- Project Browser
  * added capability to show imports of a Python script
- Source Code Documentor
  * added tags to describe the type of parameters (@type, @ptype)
    and return values (@rtype)
- Task Viewer
  * added capability to add sub-tasks (i.e. a task hierarchy) for
    manually generated tasks
- Tools
  * Diff Dialog
  - added capability to search in the output
- Version Control System Interfaces
  * All
  - added capability to search in the output of Diff dialogs
  * Mercurial
  - enhanced the log browser functionality by a search mode
  - enhanced the log browser functionality by pull and push actions
  - enhanced the status dialog functionality by a diff view
- Web Browser
  * added support for HTML5 feature permissions
  * improved parsing of the content disposition header analog to
    the way it is done in qutebrowser
  * modified and extended the VirusTotal interface for the v2 API
  * added our own web inspector window to overcome a Qt weekness
  * added a manager for Flash Cookies
- Third Party packages
  * updated coverage to 4.0
  * updated Pygments to 2.0.2
* Tue Nov 10 2015 termim@gmail.com
- Update to 6.0.11
  * bug fixes
* Wed Oct 21 2015 termim@gmail.com
- Update to 6.0.10
  * bug fixes
* Wed Sep  9 2015 termim@gmail.com
- Update to 6.0.9
  * bug fixes
* Fri Aug 14 2015 termim@gmail.com
- Update to 6.0.8
  * bug fixes
  * compatibility to PyQt 5.5
* Mon Jul  6 2015 termim@gmail.com
- Update to 6.0.7
  * bug fixes
* Thu Jun 11 2015 termim@gmail.com
- Update to 6.0.6
  * bug fixes
* Tue May 12 2015 termim@gmail.com
- Update to 6.0.5
  * bug fixes
* Mon Apr 13 2015 termim@gmail.com
- Update to 6.0.4
  * bug fixes
* Mon Mar  2 2015 termim@gmail.com
- Update to 6.0.3
  * bug fixes
* Fri Feb 20 2015 termim@gmail.com
- Update to 6.0.2
  * bug fixes
* Sun Jan 18 2015 termim@gmail.com
- Update to 6.0.1
  * bug fixes
* Mon Dec 29 2014 termim@gmail.com
- Initial checkin
